<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$esperarCarga=true;




include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/teclado-multilinea.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');
include($rutaPhp.$rutaHtml.'/librerias/reloj.php');
include($rutaPhp.$rutaHtml.'/librerias/calendario.php');

if($_GET['traza']=='si') {
	echo '<p>Parámetros CIP:</p>';
	print_r($_SESSION['maestrosCIP']);
	echo '<hr>';
}
	



if($_POST['envioFormulario']==1 && !$_SESSION['parteCIP']['Firmado']) {
	
	$_SESSION['parteCIP']['NumParte']=$_POST['NumParte'];
	
	if(!$_SESSION['parteCIP']['NumParte']) {
	
		$_SESSION['parteCIP']['Empresa']=$_SESSION['empresa'];
		$esParteNuevo=true;
		
	}
	
	$_SESSION['parteCIP']['Estado']=$_POST['Estado'];
	$_SESSION['parteCIP']['Tarifa']=$_POST['Tarifa'];
	$_SESSION['parteCIP']['Factura']=$_POST['Factura'];
	
	$_SESSION['parteCIP']['FechaCreacion']=$_POST['FechaCreacion'];
	$_SESSION['parteCIP']['Cliente']=$_POST['Cliente'];
	$_SESSION['parteCIP']['AgenteAduanas']=$_POST['AgenteAduanas'];
	$_SESSION['parteCIP']['TipoMercancia']=$_POST['TipoMercancia'];
	$_SESSION['parteCIP']['ContenMatri']=$_POST['ContenMatri'];
	$_SESSION['parteCIP']['PrecintoOrigen']=$_POST['PrecintoOrigen'];
	$_SESSION['parteCIP']['KilosTotales']=$_POST['KilosTotales'];
	$_SESSION['parteCIP']['BultosTotales']=$_POST['BultosTotales'];
	
	//22-11-2024
	$_SESSION['parteCIP']['PuntoInspeccion']=$_POST['PuntoInspeccion'];
	
	//Inspecciones
	
	foreach( arreglaArrayPXMobileProxiumResult($_SESSION['maestrosCIP']['Inspeccion']) as $inspeccion ) {
	
		if($_POST['inspeccion-inspeccion-'.$inspeccion['Codigo']]) $_SESSION['parteCIP']['Inspeccion'][$inspeccion['Codigo']]['Inspeccion']=true;
		else $_SESSION['parteCIP']['Inspeccion'][$inspeccion['Codigo']]['Inspeccion']=false;
		
		if($_POST['inspeccion-Muestras-'.$inspeccion['Codigo']]) $_SESSION['parteCIP']['Inspeccion'][$inspeccion['Codigo']]['Muestras']=true;
		else $_SESSION['parteCIP']['Inspeccion'][$inspeccion['Codigo']]['Muestras']=false;

	}

	//Productos
	
	$_SESSION['parteCIP']['Productos']=array();
	
	foreach( $_POST as $campo=>$valor ) {
	
		if(substr($campo,0,9)=='producto-') {
			$identificador=substr($campo,9,strlen($campo));
			if($_POST['producto-'.$identificador]) $_SESSION['parteCIP']['Productos'][]=array( $_POST['producto-'.$identificador] , $_POST['productoCantidad-'.$identificador] , $_POST['productoOrganismoMuestra-'.$identificador] );
		}
	
	}
	
	//Segundo bloque de datos de inspección
	
	$_SESSION['parteCIP']['ControladaPor']=$_POST['ControladaPor'];
	$_SESSION['parteCIP']['RealizadaPor']=$_POST['RealizadaPor'];
	$_SESSION['parteCIP']['HoraInicio']=$_POST['HoraInicio'];
	$_SESSION['parteCIP']['HoraFin']=$_POST['HoraFin'];
	$_SESSION['parteCIP']['NumOperarios']=$_POST['NumOperarios'];
	$_SESSION['parteCIP']['HorasAFacturar']=$_POST['HorasAFacturar'];
	$_SESSION['parteCIP']['PrecintoFinal']=$_POST['PrecintoFinal'];
	$_SESSION['parteCIP']['KilosAAlmacen']=$_POST['KilosAAlmacen'];
	$_SESSION['parteCIP']['CantidadAAlmacen']=$_POST['CantidadAAlmacen'];
	$_SESSION['parteCIP']['UnidMedida']=$_POST['UnidMedida'];
	$_SESSION['parteCIP']['Observaciones']=$_POST['Observaciones'];
	
	//16-05-2024
	$_SESSION['parteCIP']['Muelle']=$_POST['Muelle'];
	$_SESSION['parteCIP']['FirmanteNombre']=$_POST['FirmanteNombre'];
	$_SESSION['parteCIP']['FirmanteDNI']=$_POST['FirmanteDNI'];
	
	//Descargas y servicios
	
	$descargasTemp=array();
	$serviciosTemp=array();
	
	foreach($_SESSION['parteCIP']['Descargas'] as $descarga) { //Este array tiene que crearse con la primera llamada por ajax al listado, ahora comprobamos posts
		$codigo=$descarga['Codigo'];
		$descarga['Cantidad']=$_POST['operacion-Descargas-cantidad-'.$codigo];
		$descargasTemp[]=$descarga;
	}
	$_SESSION['parteCIP']['Descargas']=$descargasTemp;
	
	foreach($_SESSION['parteCIP']['Servicios'] as $servicio) { //Este array tiene que crearse con la primera llamada por ajax al listado, ahora comprobamos posts
		$codigo=$servicio['Codigo'];
		$servicio['Cantidad']=$_POST['operacion-Servicios-cantidad-'.$codigo];
		$serviciosTemp[]=$servicio;
	}
	$_SESSION['parteCIP']['Servicios']=$serviciosTemp;

	//Montaje del archivo de grabación
	
	$cadenaEnvio='';
	
	$cadenaEnvio.='*PXCIPParteInspeccion'.PHP_EOL;
	$cadenaEnvio.='Empresa='.$_SESSION['parteCIP']['Empresa'].PHP_EOL;
	$cadenaEnvio.='Parteinspeccion='.$_SESSION['parteCIP']['NumParte'].PHP_EOL;
	
	if($_SESSION['parteCIP']['NumParte']) $estado=$_SESSION['parteCIP']['Estado'];
	else $estado='Pendiente';
	$cadenaEnvio.='Estado='.$estado.PHP_EOL;
	
	$cadenaEnvio.='Tarifa='.$_SESSION['parteCIP']['Tarifa'].PHP_EOL;
	$cadenaEnvio.='Factura='.$_SESSION['parteCIP']['Factura'].PHP_EOL;
	
	$cadenaEnvio.='Fechacreacion='.fechaParaProxium(fechaMysql($_SESSION['parteCIP']['FechaCreacion'])).PHP_EOL;
	$cadenaEnvio.='Almacen='.$_SESSION['almacen'].PHP_EOL;
	$cadenaEnvio.='Cliente='.$_SESSION['parteCIP']['Cliente'].PHP_EOL;
	$cadenaEnvio.='Agentedeaduanas='.$_SESSION['parteCIP']['AgenteAduanas'].PHP_EOL;
	$cadenaEnvio.='Tipodemercancia='.$_SESSION['parteCIP']['TipoMercancia'].PHP_EOL;
	$cadenaEnvio.='ContenedorMatricula='.$_SESSION['parteCIP']['ContenMatri'].PHP_EOL;
	$cadenaEnvio.='Precintoorigen='.$_SESSION['parteCIP']['PrecintoOrigen'].PHP_EOL;
	$cadenaEnvio.='Kilostotales='.$_SESSION['parteCIP']['KilosTotales'].PHP_EOL;
	$cadenaEnvio.='Bultostotales='.$_SESSION['parteCIP']['BultosTotales'].PHP_EOL;
	
	$cadenaEnvio.='Controladapor='.$_SESSION['parteCIP']['ControladaPor'].PHP_EOL;
	$cadenaEnvio.='Realizadapor='.$_SESSION['parteCIP']['RealizadaPor'].PHP_EOL;
	$cadenaEnvio.='Horainicio='.$_SESSION['parteCIP']['HoraInicio'].PHP_EOL;
	$cadenaEnvio.='Horafin='.$_SESSION['parteCIP']['HoraFin'].PHP_EOL;
	$cadenaEnvio.='NumOperarios='.$_SESSION['parteCIP']['NumOperarios'].PHP_EOL;
	$cadenaEnvio.='Horasafacturar='.$_SESSION['parteCIP']['HorasAFacturar'].PHP_EOL;
	$cadenaEnvio.='Precintofinal='.$_SESSION['parteCIP']['PrecintoFinal'].PHP_EOL;
	$cadenaEnvio.='Kilosaalmacen='.$_SESSION['parteCIP']['KilosAAlmacen'].PHP_EOL;
	$cadenaEnvio.='Cantidadaalmacen='.$_SESSION['parteCIP']['CantidadAAlmacen'].PHP_EOL;
	$cadenaEnvio.='Unidaddemedidaalmacen='.$_SESSION['parteCIP']['UnidMedida'].PHP_EOL;
	$cadenaEnvio.='Observaciones='.$_SESSION['parteCIP']['Observaciones'].PHP_EOL;
	
	//16-05-2024
	$cadenaEnvio.='Muelle='.$_SESSION['parteCIP']['Muelle'].PHP_EOL;
	$cadenaEnvio.='Nombrefirmante='.$_SESSION['parteCIP']['FirmanteNombre'].PHP_EOL;
	$cadenaEnvio.='DNIFirmante='.$_SESSION['parteCIP']['FirmanteDNI'].PHP_EOL;
	
	//22-11-2024
	$cadenaEnvio.='Puntodeinspeccion='.$_SESSION['parteCIP']['PuntoInspeccion'].PHP_EOL;
	
	
	foreach($_SESSION['parteCIP']['Inspeccion'] as $codigo=>$valores) {
	
		if($valores['Inspeccion'] || $valores['Muestras']) {
	
			if($valores['Inspeccion']) $valorInspeccion='S'; else $valorInspeccion='N';
			if($valores['Muestras']) $valorMuestras='S'; else $valorMuestras='N';
		
			$cadenaEnvio.='*PXCIPParteInspeccionInsp'.PHP_EOL;
			$cadenaEnvio.='CodOrganismo='.$codigo.PHP_EOL;
			$cadenaEnvio.='Insp='.$valorInspeccion.PHP_EOL;
			$cadenaEnvio.='Muestras='.$valorMuestras.PHP_EOL;
			
			$contador++;
			
		}
	}
	
	$contador=1;
	
	foreach($_SESSION['parteCIP']['Productos'] as $producto) {
	
		$cadenaEnvio.='*PXCIPParteInspeccionArt'.PHP_EOL;
		$cadenaEnvio.='Lin='.$contador.PHP_EOL;
		$cadenaEnvio.='Producto='.$producto[0].PHP_EOL;
		$cadenaEnvio.='Cantidad='.$producto[1].PHP_EOL;
		$cadenaEnvio.='Organismo='.$producto[2].PHP_EOL;
		
		$contador++;
	}
	
	$contador=1;
	
	foreach($_SESSION['parteCIP']['Descargas'] as $descarga) {
	
		if($_SESSION['parteCIP']['NumParte'] && $_SESSION['parteCIP']['Tarifa']) $orden=$descarga['Orden']; //Si ya tiene tarifa, las lineas se respetan
		else $orden=$contador;
		
		$total=(float)$descarga['Cantidad']*(float)$descarga['Precio'];
		if($total==0) $total='';
		
		$cadenaEnvio.='*PXCIPParteInspeccionFac'.PHP_EOL;
		$cadenaEnvio.='Orden='.$orden.PHP_EOL;
		$cadenaEnvio.='TipoConcepto=DS'.PHP_EOL;
		$cadenaEnvio.='CodigoServicio='.$descarga['Codigo'].PHP_EOL;
		$cadenaEnvio.='Cantidad='.$descarga['Cantidad'].PHP_EOL;
		$cadenaEnvio.='Unidadmedida='.$descarga['Unidadmedida'].PHP_EOL;
		$cadenaEnvio.='TipoIVA='.$descarga['TipoIVA'].PHP_EOL;
		$cadenaEnvio.='Precio='.$descarga['Precio'].PHP_EOL;
		$cadenaEnvio.='Total='.$total.PHP_EOL;
		
		$contador++;
	}
	foreach($_SESSION['parteCIP']['Servicios'] as $servicio) {
	
		if($_SESSION['parteCIP']['NumParte'] && $_SESSION['parteCIP']['Tarifa']) $orden=$servicio['Orden']; //Si ya tiene tarifa, las lineas se respetan
		else $orden=$contador;
	
		$total=(float)$servicio['Cantidad']*(float)$servicio['Precio'];
		if($total==0) $total='';
	
		$cadenaEnvio.='*PXCIPParteInspeccionFac'.PHP_EOL;
		$cadenaEnvio.='Orden='.$orden.PHP_EOL;
		$cadenaEnvio.='TipoConcepto=SV'.PHP_EOL;
		$cadenaEnvio.='CodigoServicio='.$servicio['Codigo'].PHP_EOL;
		$cadenaEnvio.='Cantidad='.$servicio['Cantidad'].PHP_EOL;
		$cadenaEnvio.='Unidadmedida='.$servicio['Unidadmedida'].PHP_EOL;
		$cadenaEnvio.='TipoIVA='.$servicio['TipoIVA'].PHP_EOL;
		$cadenaEnvio.='Precio='.$servicio['Precio'].PHP_EOL;
		$cadenaEnvio.='Total='.$total.PHP_EOL;
		
		$contador++;
	}
	
	$cadenaEnvio.='*FIN'.PHP_EOL;

	$resultado=EnviarDatos($wsUsuario,$wsClave,base64_encode(utf8_decode($cadenaEnvio)));
	
	if($_GET['traza']=='si') {
		echo nl2br($cadenaEnvio);
		print_r($resultado);
	}
		
	$resultadoEvaluar=explode("#",$resultado['EnviarDatosResult']);
	if($resultadoEvaluar[0]==1) {
	
		$_SESSION['parteCIP']['NumParte']=$resultadoEvaluar[2];
		$forzarRecargaPorNuevoParteCreado=true;
	
		/*
		//29-5-2024 esto se pasa a un proecso por ajaxv--> botonEnviarEmail
		if($_POST['enviarEmail'] && !$_POST['firmarParte']) { //Si está marcado enviar email y hay que firmar, no se hace aquí
		
			$peticion='CIPEnvioParte#'.$_SESSION['empresa'].'#'.$_SESSION['parteCIP']['NumParte'];
			$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
			
			$evaluar=$resultado[0]['Error'];
			$valores=explode('#',$evaluar);
			if($valores[0]=='0') $mensaje='<br><br>Email programado para su envío.';
			else {
				$mensaje='<br><br>Ha ocurrido un error al programar el envío del email.';
				$advertencia=true;
			}
			
			if($_GET['traza']=='si') {
				echo "<p>Envio de email:</p>";
				echo "<p>".$peticion."</p>";
				print_r($resultado);
			}
		
		} //fin si está marcado enviar email
		*/
		
		if($esParteNuevo) $texto='creado';
		else $texto='guardado';
		
		cargaDatosDesdeWs();
		
		if(!$_POST['firmarParte']) { //Si se va a firmar, no se muestra el mensaje ni se reenvia al listado, ya que falta el otro procesamiento
		
			?>
			<script>
				alert('Parte <?php echo $texto; ?> correctamente.<?php echo $mensaje; ?>',null,'<?php if($advertencia) { ?>advertencia<?php } else { ?>ok<?php } ?>')
				.done(function(){
					<?php if($_GET['traza']!='si') { ?>
						<?php if(!$esParteNuevo) { ?>
						
						/*
						$('#popupCargando').show();
						
						$.post('<?php echo $rutaHtml; ?>/contenidos/firmas-borrar-directorio-y-temporales.php' , { 'RutaTemporalSubidaDocumentos_Completa' : '<?php echo $RutaTemporalSubidaDocumentos_Completa; ?>' } )
						.done(function(){
							window.location='inspeccion-portuaria-partes.php';
						});
						*/
						
						<?php } ?>
					<?php } ?>
				});
			</script>
			<?php
		
		}
	}
	else { ?><script>alert('ERROR: <?php echo $resultadoEvaluar[1]; ?>',null,'error');</script><?php }

}
else if( ( $_GET['parte'] || $forzarRecargaPorNuevoParteCreado ) && !$_SESSION['parteCIP']['Firmado'] ) {

	//echo '<p>forzarRecargaPorNuevoParteCreado: '.$forzarRecargaPorNuevoParteCreado.'</p>';
	//echo '<p>numparte: '.$_SESSION['parteCIP']['NumParte'].'</p>';
	
	if($_GET['parte']) {
		unset($_SESSION['parteCIP']);
		$_SESSION['parteCIP']['NumParte']=$_GET['parte'];
	}
	
	cargaDatosDesdeWs();

}
else if(!$_POST['firmarParte']) { //Es parte nuevo

	unset($_SESSION['parteCIP']);
	
}

function cargaDatosDesdeWs() {

	global $wsUsuario;
	global $wsClave;
	global $wsEmpresa;
	
	//echo '<p>numparte: '.$_SESSION['parteCIP']['NumParte'].'</p>';
	
	$peticion='CIPObtencionDatos#'.$_SESSION['empresa'].'#'.$_SESSION['parteCIP']['NumParte'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}

	$datosGenerales=$resultado[0]['General']['PXMobileProxiumResult'];
	
	if($datosGenerales['Firmado']=='S') $_SESSION['parteCIP']['Firmado']=true;
	else $_SESSION['parteCIP']['Firmado']=false;

	$_SESSION['parteCIP']['NumParte']=$datosGenerales['NumParte'];
	$_SESSION['parteCIP']['Empresa']=$datosGenerales['Empresa'];
	
	$_SESSION['parteCIP']['Estado']=$datosGenerales['Estado'];
	$_SESSION['parteCIP']['Tarifa']=$datosGenerales['Tarifa'];
	$_SESSION['parteCIP']['Factura']=$datosGenerales['Factura'];
	
	$_SESSION['parteCIP']['FechaCreacion']=fechaNacional($datosGenerales['FechaCreacion']);
	$_SESSION['parteCIP']['Cliente']=$datosGenerales['Cliente'];
	$_SESSION['parteCIP']['AgenteAduanas']=$datosGenerales['AgenteAduanas'];
	$_SESSION['parteCIP']['TipoMercancia']=$datosGenerales['TipoMercancia'];
	$_SESSION['parteCIP']['ContenMatri']=$datosGenerales['ContenMatri'];
	$_SESSION['parteCIP']['PrecintoOrigen']=$datosGenerales['PrecintoOrigen'];
	$_SESSION['parteCIP']['KilosTotales']=$datosGenerales['KilosTotales'];
	$_SESSION['parteCIP']['BultosTotales']=$datosGenerales['BultosTotales'];
	
	$_SESSION['parteCIP']['Muelle']=$datosGenerales['Muelle'];
	$_SESSION['parteCIP']['FirmanteNombre']=$datosGenerales['FirmanteNombre'];
	$_SESSION['parteCIP']['FirmanteDNI']=$datosGenerales['FirmanteDNI'];
	
	//22-11-2024
	$_SESSION['parteCIP']['PuntoInspeccion']=$datosGenerales['PuntoInspeccion'];
	
	$inspecciones=arreglaArrayPXMobileProxiumResult($resultado[0]['Inspeccion']);
	
	foreach( arreglaArrayPXMobileProxiumResult($_SESSION['maestrosCIP']['Inspeccion']) as $inspeccion ) {
	
		foreach($inspecciones as $item) {
		
			if($item['Codigo']==$inspeccion['Codigo']) {
			
				if($item['Insp']=='S') $_SESSION['parteCIP']['Inspeccion'][$inspeccion['Codigo']]['Inspeccion']=true;
				else $_SESSION['parteCIP']['Inspeccion'][$inspeccion['Codigo']]['Inspeccion']=false;
				
				if($item['Muestras']=='S') $_SESSION['parteCIP']['Inspeccion'][$inspeccion['Codigo']]['Muestras']=true;
				else $_SESSION['parteCIP']['Inspeccion'][$inspeccion['Codigo']]['Muestras']=false;
			}
		
		}

	}
	
	$_SESSION['parteCIP']['Productos']=array();
	$productos=arreglaArrayPXMobileProxiumResult($resultado[0]['Productos']);
	
	foreach( $productos as $item ) {
	
		$_SESSION['parteCIP']['Productos'][]=array( $item['Producto'] , $item['Cantidad'] , $item['Organismo'] );
	
	}
	
	$_SESSION['parteCIP']['ControladaPor']=$datosGenerales['ControladaPor'];
	$_SESSION['parteCIP']['RealizadaPor']=$datosGenerales['RealizadaPor'];
	$_SESSION['parteCIP']['HoraInicio']=horaNacional($datosGenerales['HoraInicio']);
	$_SESSION['parteCIP']['HoraFin']=horaNacional($datosGenerales['HoraFin']);
	$_SESSION['parteCIP']['NumOperarios']=$datosGenerales['NumOperarios'];
	$_SESSION['parteCIP']['HorasAFacturar']=$datosGenerales['HorasAFacturar'];
	$_SESSION['parteCIP']['PrecintoFinal']=$datosGenerales['PrecintoFinal'];
	$_SESSION['parteCIP']['KilosAAlmacen']=$datosGenerales['KilosAAlmacen'];
	$_SESSION['parteCIP']['CantidadAAlmacen']=$datosGenerales['CantidadAAlmacen'];
	$_SESSION['parteCIP']['UnidMedida']=$datosGenerales['UnidMedida'];
	$_SESSION['parteCIP']['Observaciones']=$datosGenerales['Observaciones'];
	
	$_SESSION['parteCIP']['Descargas']=arreglaArrayPXMobileProxiumResult($resultado[0]['Descargas']);
	$_SESSION['parteCIP']['Servicios']=arreglaArrayPXMobileProxiumResult($resultado[0]['Servicios']);
	
}


function buscaCliente($codigo) {
	unset($cliente);
	foreach( arreglaArrayPXMobileProxiumResult($_SESSION['maestrosCIP']['Clientes']) as $item ) {
		if($item['Codigo']==$codigo) {
			$cliente=$item;
			break;
		}
	}
	return $cliente;
}

function cadenaContactoCliente($item) {
	$cadena='';
	if($item['Telefono']) $cadena.=$item['Telefono'];
	if($item['Email']) {
		if($cadena) $cadena.=' / ';
		$cadena.=$item['Email'];
	}
	return trim(str_replace('\n','',$cadena));
}

?>

<script>

var contactosClientes=new Array();
<?php foreach( arreglaArrayPXMobileProxiumResult($_SESSION['maestrosCIP']['Clientes']) as $item ) { ?>
contactosClientes['<?php echo $item['Codigo']; ?>']='<?php echo cadenaContactoCliente($item); ?>';
<?php } ?>

</script>


<?php if($_POST['firmarParte']==1) { /////////////// GESTIÓN FIRMAS ///////////// ?>

	<?php
    //CREAR LOS DIRECTORIOS TEMPORALES PARA LAS FIRMAS
    $rutaTipoDocumento='cip/';
    $rutaNumeroDocumento=$_SESSION['parteCIP']['NumParte'];
    include($rutaPhp.$rutaHtml.'/contenidos/firmas-crear-directorio.php');
	?>

	<link href="maqueta/estilos-pdf-firmas.css" rel="stylesheet" type="text/css" />

	<div id="firma_velo" style="display:none;z-index:9999999">
            <div id="firma">
                <div style="width:100%">
                <p>Parte de Inspección Portuaria Nº <?php echo $_SESSION['parteCIP']['NumParte']; ?></p>
                <p class="mini">La presente firma se incluirá a título informativo en el documento final y carece de validez legal. La imagen de firma generada desde este dispositivo no será almacenada ni conservada en ningún caso fuera de este documento.</p>
                <canvas id="firma-canvas" width="600" height="200"></canvas>
                </div>
                <img src="<?php echo DIR_IMAGENES; ?>/botones/firma-ok.png" id="firma-boton-ok" class="botonFirma"/>
                <img src="<?php echo DIR_IMAGENES; ?>/botones/firma-borrar.png" id="firma-boton-borrar" class="botonFirma"/>
                <img src="<?php echo DIR_IMAGENES; ?>/botones/firma-cancelar.png" id="firma-boton-cancelar" class="botonFirma"/>
                <!--<input id="scriptGrabarFirma" type="hidden" value="" />-->
                <!--<input id="firmaGrabada" type="hidden" value="" />-->
            </div>
    </div>

	<div id="popupPDFVelo" class="popupScroll" style="z-index:99999;display:none"></div>
	<div id="popupPDF" class="popupContenidoScroll" style="z-index:999999;display:none;top:30px"></div>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdf.js/2.6.347/pdf.min.js"></script>
    <script>pdfjsLib.GlobalWorkerOptions.workerSrc = 'https://cdnjs.cloudflare.com/ajax/libs/pdf.js/2.6.347/pdf.worker.min.js';</script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/fabric.js/4.3.0/fabric.min.js"></script>
        
    

	<div id="popupFirmaDocumentos" class="popup" ></div>
    <div id="popupFirmaDocumentosContenido" class="popupContenidoScroll" >

		<?php 
        $TipoDoc='CIP';
        $NumDoc=$_SESSION['parteCIP']['NumParte'];
        $UUID=session_id().'-'.$NumDoc;
        
        $peticion='DameDocImprimir#'.$_SESSION['empresa'].'#'.$TipoDoc.'#'.$NumDoc.'#'.$RutaTemporalSubidaDocumentos.'#'.$UUID.'#'.$_SESSION['usuario']['Usuario'];
        
        $resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
            
        if($_GET['traza']=='si') {
            echo '<p>'.$peticion.'</p>';
            print_r($resultado);
        }
        ?>

    	<h3>Selecciona el documento a firmar:</h3>
        
        <table class="tablaFormateada">
        
        	<tr>
            	<th>Descripción</th>
                <th>Nº</th>
                <th>Firma</th>
            </tr>
            
            <?php foreach($resultado as $documento) { ?>
            
				<?php $clave=$documento['TipoDocumento'].'-'.$documento['NumDocumento']; ?>
                <?php $firmable=($documento['Firmable']==1); ?>
                <?php $firmado=($documento['Firmado']==1); ?>
                
                <tr>
                    <td><?php echo $documento['DescripcionReport']; ?></td>
                    <td><?php echo $documento['NumDocumento']; ?></td>
                    <td>
                    <?php if($firmable) { ?>
                    <img id="botonFirmar-<?php echo $clave; ?>" src="<?php echo DIR_IMAGENES; ?>/botones/firma.png" NombreTemporalPDF="<?php echo $documento['NombreTemporalPDF']; ?>" class="botonFirmarArchivo clicable" style="width:70px;height:70px" TipoDoc="<?php echo $documento['TipoDocumento']; ?>" NumDoc="<?php echo $documento['NumDocumento']; ?>" idReport="<?php echo $documento['idReport']; ?>" Firmado="<?php echo $documento['Firmado']; ?>" >
                    <?php } ?>
                    </td>
                </tr>
            
            <?php } ?>
            
        </table>
        
        <p><input type="button" id="botonCancelarFirmaDocumentos" class="boton reducido" value="Cerrar" /></p>
        
        <script>
		

		
		function compruebaArchivo() {

			console.log('funcion compruebaArchivo para: '+NombreTemporalPDF_Completo);
			
			var defered = $.Deferred();
			
			var espera=setInterval( function(){
				
				var url='contenidos/firmas-comprobar-existencia-documento.php?NombreTemporalPDF_Completo='+NombreTemporalPDF_Completo;
				
				$.post(url)
				.done(function(data) {
					
					console.log('resultado de la busqueda: '+data);
					if(data=='1') {
						clearInterval(espera);
						defered.resolve();
					}
				
				});

			},1000);
			
			return defered.promise();
			
			
		
		}

		
		
		
		//Inicialización
		var scriptGrabacion='<?php echo $rutaHtml; ?>/contenidos/firmas-grabar-firma.php';
		var archivoFirma; //se asigna desde firmas.js SavePicture()
		
		var NombreTemporalPDF;
		var NombreTemporalPDF_Completo;
		var TipoDoc;
		var NumDoc;
		var idReport;
		
		function cargaPDF( mostrarBotonFirma , volverAlListado ) {
		
			console.log('FUNCION cargaPDF');
			console.log('NombreTemporalPDF: '+NombreTemporalPDF);
			console.log('NombreTemporalPDF_Completo: '+NombreTemporalPDF_Completo);
			console.log('mostrarBotonFirma: '+mostrarBotonFirma);
		
			document.body.style.zoom='<?php echo $zoom; ?>';
		
			compruebaArchivo(NombreTemporalPDF_Completo)
			.done(function(){
				
					console.log('comprobado, continuamos con el nombre temporal: '+NombreTemporalPDF);
				
					var cadena='';
				
					if(mostrarBotonFirma) {
					
						cadena='<div class="toolbar"><div class="tool"><button class="boton" id="botonFirmarSobrePDF">FIRMAR</button> <button class="boton" id="botonCancelarPDF">Cancelar</button></div></div><div id="pdf-container"></div>';
				
						$('#popupPDF').append();
						
					}
					else {
					
						cadena='<div class="toolbar"><div class="tool"><button class="boton" id="botonFirmarSobrePDF" Refirma="1">Volver a firmar</button> <button class="boton" id="botonEnviarEmail">Enviar parte por email</button> <button class="boton" id="botonCancelarPDF"';
						if(volverAlListado) cadena+=' volverAlListado="si"';
						cadena+='>Cerrar</button></div></div><div id="pdf-container"></div>';
	
					}
					
					$('#popupPDF').append(cadena);
				
					var pdf = new PDFAnnotate("pdf-container", NombreTemporalPDF, {
					  onPageUpdated(page, oldData, newData) {
						console.log(page, oldData, newData);
					  },
					  ready() {
					  
						console.log("Plugin initialized successfully");

					  },
					  scale: 1.5,
					  pageImageCompression: "MEDIUM", // FAST, MEDIUM, SLOW(Helps to control the new PDF file size)
					});
					
					$('#popupPDFVelo').show();
					$('#popupPDF').show();
					$('#popupCargando').hide();
				
			});
				
		}
		
		function borraPDF() {
		
			$('#popupPDF').html('');
			$('#popupPDF').hide();
			$('#popupPDFVelo').hide();
		
		}
		
		$(document).ready(function() {
		
			$('#botonCancelarFirmaDocumentos').on('click',function(){
				$('#popupFirmaDocumentos').hide();
				$('#popupFirmaDocumentosContenido').hide();
			});

			$('.botonFirmarArchivo').on('click',function(){
			
				console.log('se ha pulsado el boton para ver el pdf');
			
				$('#popupCargando').show();
				
				<?php
				if($depuradoSpanish) {
					$RutaTemporalSubidaDocumentos=str_replace('/spanish/PrototiposWeb7.4','',$RutaTemporalSubidaDocumentos);
					$RutaTemporalSubidaDocumentos=str_replace('PrototiposWeb7.4/spanish/','',$RutaTemporalSubidaDocumentos);
				}
				?>
				
				NombreTemporalPDF='<?php echo $RutaTemporalSubidaDocumentos; ?>/'+$(this).attr('NombreTemporalPDF');
				
				
				
				NombreTemporalPDF_Completo='<?php echo $RutaTemporalSubidaDocumentos_Completa; ?>/'+$(this).attr('NombreTemporalPDF');
				
				TipoDoc=$(this).attr('TipoDoc');
				NumDoc=$(this).attr('NumDoc');
				idReport=$(this).attr('idReport');
				
				Firmado=$(this).attr('Firmado');
				
				if(Firmado=='S') cargaPDF(false,false);
				else cargaPDF(true,false);
			
			});
			
			$(document).on('click','#botonEnviarEmail',function() {
			
				borraPDF();
				$('#popupCargando').show();
			
				$.post('<?php echo $rutaHtml; ?>/contenidos/inspeccion-portuaria-enviar-email-parte.php' )
				.done(function(data) {
				
					$('#popupCargando').hide();
					
					var resultado=data.split('#');
				
					if(resultado[0]=='1') {
						alert(resultado[1],null,'ok')
						.done(function(){
						
							/*
							$('#popupCargando').show();
							
							$.post('<?php echo $rutaHtml; ?>/contenidos/firmas-borrar-directorio-y-temporales.php' , { 'RutaTemporalSubidaDocumentos_Completa' : '<?php echo $RutaTemporalSubidaDocumentos_Completa; ?>' } )
							.done(function(data) {
								window.location='inspeccion-portuaria-partes.php';
							});
							*/
							
						});
					}
					else {
						alert('ERROR: '+resultado[1],null,'error');
					}
				
				});
			
			});
			
			
			$(document).on('click','#botonCancelarPDF',function() {
			
				var volverAlListado=$(this).attr('volverAlListado');
			
				borraPDF();
				
				/*
				
				if(volverAlListado=='si') {
				
					$('#popupCargando').show();
					
					$.post('<?php echo $rutaHtml; ?>/contenidos/firmas-borrar-directorio-y-temporales.php' , { 'RutaTemporalSubidaDocumentos_Completa' : '<?php echo $RutaTemporalSubidaDocumentos_Completa; ?>' } )
					.done(function(data) {
						console.log('traza 5');
						window.location='inspeccion-portuaria-partes.php';
					});
					
				}
				
				*/
			
			});

							   
			$(document).on('click','#botonFirmarSobrePDF',function(){
			
				var Refirma=$(this).attr('Refirma');
				
				if(Refirma) {
					$('#firma-boton-ok').attr('Refirma',Refirma);
				}
			
				document.body.style.zoom='100%';
				//$('#scriptGrabarFirma').val('<?php echo $rutaHtml; ?>/contenidos/firmas-grabar-firma.php' , { 'Refirma' : Refirma } );
				$('#firma_velo').show();
				
			});
			
			
		});
		
		function enviaFirma(Refirma) {
		
			/////////////////////////////###
		
			$('#popupCargando').show();
			$('#botonCancelarPDF').trigger('click');
		
			console.log('--> COMIENZA el proceso de envio de archivoFirma');
			console.log('TipoDoc: '+TipoDoc);
			console.log('NumDoc: '+NumDoc);
			console.log('idReport: '+idReport);
			console.log('archivoFirma: '+archivoFirma);
			
			<?php if($depuradoSpanish) $RutaTemporalSubidaDocumentos='PrototiposWeb7.4/'.$RutaTemporalSubidaDocumentos; ?>
			
			console.log('RutaTemporalSubidaDocumentos: <?php echo $RutaTemporalSubidaDocumentos; ?>');
			console.log('UUID: <?php echo $UUID; ?>');
			console.log('Refirma: '+Refirma);
			
			$.post('<?php echo $rutaHtml; ?>/contenidos/firmas-enviar-firma.php' , { 'TipoDoc' : TipoDoc , 'NumDoc' : NumDoc , 'idReport' : idReport , 'archivoFirma' : archivoFirma , 'RutaTemporalSubidaDocumentos' : '<?php echo $RutaTemporalSubidaDocumentos; ?>' , 'UUID' : '<?php echo $UUID; ?>' , 'Refirma' : Refirma } )
			.done(function(data) {
				
				console.log('data: '+data);
				
				var valores=data.split('#');
				
				if(valores[0]=='error') {
					$('#popupCargando').hide();
					alert('ERROR '+valores[1]+': '+valores[2],null,'error');
				}
				else {
				
					var nombreNuevoArchivo=data;
					
					<?php
					if($depuradoSpanish) {
						$RutaTemporalSubidaDocumentos=str_replace('PrototiposWeb7.4/','',$RutaTemporalSubidaDocumentos);
					}
					?>
					
					//Cogemos el nuevo nombre del pdf firmado
					NombreTemporalPDF='<?php echo $RutaTemporalSubidaDocumentos; ?>/'+nombreNuevoArchivo;
					NombreTemporalPDF_Completo='<?php echo $RutaTemporalSubidaDocumentos_Completa; ?>/'+nombreNuevoArchivo;
					
					console.log('nombreNuevoArchivo: '+nombreNuevoArchivo);
					console.log('nuevo NombreTemporalPDF para archivo firmado: '+NombreTemporalPDF);
					
					cargaPDF(false,true);
					
					//Reasignamos el boton, porque ahora el PDF es otro
					$('#botonFirmar-'+TipoDoc+'-'+NumDoc).attr('NombreTemporalPDF',nombreNuevoArchivo);
					$('#botonFirmar-'+TipoDoc+'-'+NumDoc).attr('Firmado',1);
					
					bloqueaParte();
					
				}
			
			});
			
		}
		
		</script>
        
        <script src="<?php echo $rutaHtml; ?>/librerias/firmas.js"></script> <!-- obligatoriamente debe ir despues de la definicion del DOM de los elementos de firma, antes no funciona -->
        
    </div> <!-- fin capa firma documentos -->

<?php } /////////////// FIN GESTIÓN FIRMAS ///////////// ?>


<div id="popupClientes" class="popup" style="display:none;"></div>
<div id="popupClientesContenido" class="popupContenidoScroll"  style="display:none;">

    <input type="hidden" id="popupClientesCampoOrigen" name="popupClientesCampoOrigen" value="1" />
    <input type="hidden" id="popupClientesCampoDestino" name="popupClientesCampoDestino" value="2" />
    
    <p>Buscar:<br />
    <input type="text" id="buscarCliente" name="buscarCliente" value="" class="campo" autocomplete="off"/></p>
    
    <table class="tablaFormateada">
    <tr><th>Selección</th></tr>
    <?php foreach( arreglaArrayPXMobileProxiumResult($_SESSION['maestrosCIP']['Clientes']) as $item ) { ?>
    <tr class="selectorCliente clicable" codigo="<?php echo $item['Codigo']; ?>" descripcion="<?php echo $item['Descripcion']; ?>" PuntoInspeccion="<?php echo $item['PuntoInspeccion']; ?>"><td style="height:50px;"><?php echo $item['Descripcion']; ?></td></tr>
    <?php } ?>
    </table>
    
    <p><input type="button" id="popupClientesBotonCerrar" name="popupClientesBotonCerrar" class="boton reducido" value="Cancelar"/></p>
    
</div>

<h2 style="margin:30px 0 30px 0">Parte de Inspección Portuaria</h2>

<form id="formularioCIP" name="formularioContenedor" method="post" action="">

<input type="hidden" id="NumParte" name="NumParte" value="<?php echo $_SESSION['parteCIP']['NumParte']; ?>" />
<input type="hidden" id="Estado" name="Estado" value="<?php echo $_SESSION['parteCIP']['Estado']; ?>" />
<input type="hidden" id="Tarifa" name="Tarifa" value="<?php echo $_SESSION['parteCIP']['Tarifa']; ?>" />
<input type="hidden" id="Factura" name="Factura" value="<?php echo $_SESSION['parteCIP']['Factura']; ?>" />

<input type="hidden" id="Cliente" name="Cliente" value="<?php echo $_SESSION['parteCIP']['Cliente']; ?>" />
<input type="hidden" id="AgenteAduanas" name="AgenteAduanas" value="<?php echo $_SESSION['parteCIP']['AgenteAduanas']; ?>" />

<table border="0" cellspacing="0" cellpadding="1" style="margin:0 auto">
  <tr>
    <td align="left"><p class="sinMargen">Núm. Parte</p></td>
    <td>
    <div class="CIPcampoBloque"><input name="NumParteVisible" type="text" class="campo CIPcampo pequeno" id="NumParteVisible" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['NumParte']; ?>" readonly="readonly" disabled/>
    <?php if(count($_SESSION['empresas'])>1) { ?> 
    <input name="empresa" type="text" class="campo CIPcampo pequeno" id="empresa" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['Empresa']; ?>" readonly="readonly" disabled style="width:175px"/>
    <?php } ?>
    </div></td>
  </tr>
  <tr>
    <td align="left"><p class="sinMargen">Fecha:</p></td>
    <td><div class="CIPcampoBloque">
        <input name="FechaCreacion" type="text" class="campo CIPcampo pequeno" id="FechaCreacion" autocomplete="off" value="<?php if($_SESSION['parteCIP']['FechaCreacion']) echo $_SESSION['parteCIP']['FechaCreacion']; else echo date('d/m/Y'); ?>"readonly="readonly" />
    </div></td>
    </tr>
  <tr>
    <td align="left"><p class="sinMargen">Almacén:</p></td>
    <td align="left"><div class="CIPcampoBloque">
        <input name="almacen" type="text" class="campo CIPcampo largo" id="almacen" autocomplete="off" value="<?php foreach($_SESSION['almacenes'] as $almacen) if($_SESSION['almacen']==$almacen['Codigo']) echo $almacen['Nombre']; ?>" readonly="readonly" />
    </div></td>
    </tr>
  
  <tr>
    <td align="left"><p class="sinMargen">Cliente:</p></td>
    <td align="left"><div class="CIPcampoBloque">
    <?php $cliente=buscaCliente($_SESSION['parteCIP']['Cliente']); ?>
    <input name="ClienteNombre" type="text" class="campo CIPcampo enorme" id="ClienteNombre" autocomplete="off" value="<?php echo $cliente['Descripcion']; ?>" readonly="readonly" />
    </div>    </td>
  </tr>
  
 <tr>
    <td align="left"><p class="sinMargen">Punto de inspección:</p></td>
    <td align="left">
    	<div class="CIPcampoBloque">
        	<select name="PuntoInspeccion" id="PuntoInspeccion" class="campo CIPcampo">
    			<option value="">---</option>
        		<option value="PCF" <?php if($_SESSION['parteCIP']['PuntoInspeccion']=='PCF') { ?>selected<?php } ?>>Punto de Control Fronterizo</option>
                <option value="CIP" <?php if($_SESSION['parteCIP']['PuntoInspeccion']=='CIP') { ?>selected<?php } ?>>Centro de Inspección Portuaria</option>
			</select>
    	</div>
  </td>
  </tr> 
  
  <tr>
    <td align="left"><p class="sinMargen">Contacto Cliente:</p></td>
    <td align="left"><div class="CIPcampoBloque"><input name="ClienteTelefonoEmail" type="text" class="campo CIPcampo enorme" id="ClienteTelefonoEmail" autocomplete="off" value="<?php echo cadenaContactoCliente($cliente); ?>" readonly disabled></div></td>
  </tr>
  <tr>
    <td align="left"><p class="sinMargen">Agencia de Aduanas:</p></td>
    <td align="left"><div class="CIPcampoBloque">
    <?php $agenteAduanas=buscaCliente($_SESSION['parteCIP']['AgenteAduanas']); ?>
    <input name="AgenteAduanasNombre" type="text" class="campo CIPcampo enorme" id="AgenteAduanasNombre" autocomplete="off" value="<?php echo $agenteAduanas['Descripcion']; ?>" readonly="readonly" />
    </div>    </td>
  </tr>
  <tr>
    <td align="left"><p class="sinMargen">Contacto Agencia:</p></td>
    <td align="left"><div class="CIPcampoBloque"><input name="AgenteAduanasTelefonoEmail" type="text" class="campo CIPcampo enorme" id="AgenteAduanasTelefonoEmail" autocomplete="off" value="<?php echo cadenaContactoCliente($agenteAduanas); ?>" readonly disabled></div></td>
  </tr>
  <tr>
    <td align="left"><p class="sinMargen">Tipo de mercancía:</p></td>
    <td align="left"><div class="CIPcampoBloque"><select name="TipoMercancia" id="TipoMercancia" class="campo CIPcampo">
    	<option value="">---</option>
      <?php foreach( arreglaArrayPXMobileProxiumResult($_SESSION['maestrosCIP']['TiposMercancia']) as $item ) { ?>
      <option value="<?php echo $item['Codigo']; ?>" <?php if($item['Codigo']==$_SESSION['parteCIP']['TipoMercancia']) { ?>selected<?php } ?>><?php echo $item['Descripcion']; ?></option>
      <?php } ?>
    </select></div></td>
    </tr>
  <tr>
    <td align="left"><p class="sinMargen">Contenedor:</p></td>
    <td><div class="CIPcampoBloque"> <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoTeclado" id="tecladoContenedor" />
            <input name="ContenMatri" type="text" class="campo CIPcampo medio tecladoAutomatico" id="ContenMatri" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['ContenMatri']; ?>"/>
            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarContenedor" class="CIPiconoBorrar"/> </div></td>
    </tr>
  <tr>
    <td align="left"><p class="sinMargen">Precinto origen:</p></td>
    <td><div class="CIPcampoBloque"> <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoTeclado" id="tecladoPrecintaOrigen" />
            <input name="PrecintoOrigen" type="text" class="campo CIPcampo largo tecladoAutomatico" id="PrecintoOrigen" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['PrecintoOrigen']; ?>"/>
            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarPrecintaOrigen" class="CIPiconoBorrar"/> </div></td>
    </tr>
  <tr>
    <td align="left"><p class="sinMargen">Muelle:</p></td>
    <td><div class="CIPcampoBloque">
      <select name="Muelle" id="Muelle" class="campo CIPcampo">
        <option value="">---</option>
        <?php foreach( arreglaArrayPXMobileProxiumResult($_SESSION['maestrosCIP']['MuellesCIP']) as $item ) { ?>
        <option value="<?php echo $item['Muelle']; ?>" <?php if($item['Muelle']==$_SESSION['parteCIP']['Muelle']) { ?>selected<?php } ?>><?php echo $item['MuelleNombre']; ?></option>
        <?php } ?>
      </select>
    </div></td>
  </tr>
  <tr>
    <td align="left"><p class="sinMargen">Kilos totales:</p></td>
    <td><div class="CIPcampoBloque"> <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoCalculadora" id="tecladoKilosTotales" />
            <input name="KilosTotales" type="text" class="campo cantidad CIPcampo pequeno calculadoraAutomatica" id="KilosTotales" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['KilosTotales']; ?>"/>
            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarKilosTotales" class="CIPiconoBorrar"/> </div></td>
    </tr>
  <tr>
    <td align="left"><p class="sinMargen">Bultos totales:</p></td>
    <td><div class="CIPcampoBloque"> <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoCalculadora" id="tecladoBultosTotales" />
            <input name="BultosTotales" type="text" class="campo cantidad CIPcampo pequeno calculadoraAutomatica" id="BultosTotales" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['BultosTotales']; ?>"/>
            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarBultosTotales" class="CIPiconoBorrar"/> </div></td>
    </tr>
</table>

<table class="tablaFormateada CIPtabla" style="width:100;" id="tablaInspecciones">
	<tr>
	  <th colspan="3">INSPECCIÓN</th>
	</tr>
	<tr class="encabezado"><td>Organismo</td><td>Inspección</td><td>Muestras</td></tr>
	<?php foreach( arreglaArrayPXMobileProxiumResult($_SESSION['maestrosCIP']['Inspeccion']) as $inspeccion ) { ?>
		<tr><td align="left"><p class="sinMargen"><?php echo $inspeccion['Descripcion']; ?></p></td><td align="center"><input type="checkbox" name="inspeccion-inspeccion-<?php echo $inspeccion['Codigo']; ?>" id="inspeccion-inspeccion-<?php echo $inspeccion['Codigo']; ?>" class="checkGrande selectorInspeccion" <?php if($_SESSION['parteCIP']['Inspeccion'][$inspeccion['Codigo']]['Inspeccion']) { ?>checked<?php } ?>/></td><td align="center"><input type="checkbox" name="inspeccion-Muestras-<?php echo $inspeccion['Codigo']; ?>" id="inspeccion-Muestras-<?php echo $inspeccion['Codigo']; ?>" class="checkGrande checkMuestras" <?php if($_SESSION['parteCIP']['Inspeccion'][$inspeccion['Codigo']]['Muestras']) { ?>checked<?php } ?> codigoInspeccion="<?php echo $inspeccion['Codigo']; ?>"/></td></tr>
	<?php } ?>
</table>

<table class="tablaFormateada CIPtabla" >
	<tr>
	  <th colspan="3">PRODUCTOS</th>
	</tr>
	<tr class="encabezado"><td><span style="margin-left:170px;margin-right:350px">Descripción</span> <span style="margin-right:100px">Organismo muestra</span> Cantidad</td></tr>
	<tr>
    	<td>
        
    	<input name="contadorProductos" id="contadorProductos" type="hidden" value="<?php echo count($_SESSION['parteCIP']['Productos'])+1; ?>" />
        
		<?php
		
		function pintaLineaProducto($producto,$contador) {
		
			$listaOrganismos='<option value="">---</option>';
			foreach( arreglaArrayPXMobileProxiumResult($_SESSION['maestrosCIP']['Inspeccion']) as $inspeccion ) {
				$listaOrganismos.='<option value="'.$inspeccion['Codigo'].'"';
				if($producto[2]==$inspeccion['Codigo']) $listaOrganismos.=' selected ';
				$listaOrganismos.='>';
				$listaOrganismos.=$inspeccion['Descripcion'];
				$listaOrganismos.='</option>';
			}
		
			?><input name="producto-<?php echo $contador; ?>" type="text" class="campo CIPcampo enorme tecladoAutomatico campoProducto" id="producto-<?php echo $contador; ?>" autocomplete="off" value="<?php echo $producto[0]; ?>" style="margin:10px 0 0 10px" contador="<?php echo $contador; ?>"/> <select name="productoOrganismoMuestra-<?php echo $contador; ?>" class="campo CIPcampo campoProductoOrganismoMuestra" id="productoOrganismoMuestra-<?php echo $contador; ?>" style="margin:10px 10px 0 10px" contador="<?php echo $contador; ?>"/><?php echo $listaOrganismos; ?></select> <input name="productoCantidad-<?php echo $contador; ?>" type="text" class="campo cantidad CIPcampo mini calculadoraAutomatica" id="productoCantidad-<?php echo $contador; ?>" autocomplete="off" value="<?php echo $producto[1]; ?>" /><img src="img_nx/x-ajustado.png" width="18" height="18" style="margin:0 10px 0 15px" id="productoBorrar-<?php echo $contador; ?>" class="productoBorrar clicable" contador="<?php echo $contador; ?>"/>
        <div id="nuevoProducto-<?php echo $contador; ?>"></div><?php
		
		}
		
		
		$contador=1;
		foreach($_SESSION['parteCIP']['Productos'] as $producto) {
			pintaLineaProducto($producto,$contador);
	   		$contador++;
		}
		?> 
        
    	<?php pintaLineaProducto(null,$contador); ?>
        
        <?php if(!$_SESSION['parteCIP']['Firmado']) { ?>
        
        <input type="button" name="botonMasProductos" id="botonMasProductos" value="Más Productos" class="boton reducido" style="margin:10px 0 10px 0"/>
        
        <?php } ?>
        
        </td>
	</tr>
</table>

<table class="tablaFormateada CIPtabla" style="width:100;">
	<tr><th colspan="3">CONTROL DE LA OPERACIÓN</th></tr>
	<tr class="encabezado"><td>
    
    <table border="0" cellspacing="0" cellpadding="1" style="margin:0 auto" class="tablaLimpia">
      <tr>
        <td align="left"><p class="sinMargen">Controlada por:</p></td>
        <td colspan="3" align="left"><div class="CIPcampoBloque">
        <select name="ControladaPor" id="ControladaPor" class="campo CIPcampo" style="width:710px">
            <option value="">---</option>
            <?php foreach( arreglaArrayPXMobileProxiumResult($_SESSION['maestrosCIP']['Trabajadores']) as $item ) { ?>
            <option value="<?php echo $item['Codigo']; ?>" <?php if($_SESSION['parteCIP']['ControladaPor']==$item['Codigo']) { ?>selected<?php } ?>><?php echo $item['Descripcion']; ?></option>
            <?php } ?>
        </select></div>        </td>
        </tr>
      <tr>
        <td align="left"><p class="sinMargen">Realizada por:</p></td>
        <td colspan="3" align="left"><div class="CIPcampoBloque">
        <select name="RealizadaPor" id="RealizadaPor" class="campo CIPcampo" style="width:710px">
            <option value="">---</option>
            <?php foreach( arreglaArrayPXMobileProxiumResult($_SESSION['maestrosCIP']['Trabajadores']) as $item ) { ?>
            <option value="<?php echo $item['Codigo']; ?>" <?php if($_SESSION['parteCIP']['RealizadaPor']==$item['Codigo']) { ?>selected<?php } ?>><?php echo $item['Descripcion']; ?></option>
            <?php } ?>
        </select></div>        </td>
        </tr>
      <tr>
        <td align="left"><p class="sinMargen">Hora inicio:</p></td>
        <td align="left"><div class="CIPcampoBloque"><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoReloj" id="tecladoHoraInicio" /><input name="HoraInicio" type="text" class="campo cantidad CIPcampo pequeno relojAutomatico" id="HoraInicio" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['HoraInicio']; ?>"/><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarHoraInicio" class="CIPiconoBorrar"/></div></td>
        <td align="left"><p class="sinMargen" style="margin-left:15px">Hora fin:</p></td>
        <td align="left"><div class="CIPcampoBloque"><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoReloj" id="tecladoHoraFin" /><input name="HoraFin" type="text" class="campo cantidad CIPcampo pequeno relojAutomatico" id="HoraFin" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['HoraFin']; ?>"/><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarHoraFin" class="CIPiconoBorrar"/></div></td>
      </tr>
      <tr>
        <td align="left"><p class="sinMargen">Nº Operarios:</p></td>
        <td align="left"><div class="CIPcampoBloque"><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoCalculadora" id="tecladoNumOperarios" /><input name="NumOperarios" type="text" class="campo cantidad CIPcampo pequeno calculadoraAutomatica" id="NumOperarios" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['NumOperarios']; ?>"/><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarNumOperarios" class="CIPiconoBorrar"/></div></td>
        <td align="left"><p class="sinMargen" style="margin-left:15px">Horas a facturar:</p></td>
        <td align="left"><div class="CIPcampoBloque"><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoCalculadora" id="tecladoHorasAFacturar" />
              <input name="HorasAFacturar" type="text" class="campo cantidad CIPcampo pequeno calculadoraAutomatica" id="HorasAFacturar" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['HorasAFacturar']; ?>"/>
          <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarHorasAFacturar" class="CIPiconoBorrar"/></div></td>
      </tr>
      <tr>
        <td align="left"><p class="sinMargen">Precinto final:</p></td>
        <td colspan="3" align="left">
        <div class="CIPcampoBloque"> <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoTeclado" id="tecladoPrecintoFinal" />
            <input name="PrecintoFinal" type="text" class="campo CIPcampo largo tecladoAutomatico" id="PrecintoFinal" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['PrecintoFinal']; ?>"/>
            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarPrecintoFinal" class="CIPiconoBorrar"/> </div>        </td>
        </tr>
      <tr>
        <td align="left"><p class="sinMargen">Kgs a almacén:</p></td>
        <td align="left"><div class="CIPcampoBloque"><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoCalculadora" id="tecladoKilosAAlmacen" /><input name="KilosAAlmacen" type="text" class="campo cantidad CIPcampo pequeno calculadoraAutomatica" id="KilosAAlmacen" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['KilosAAlmacen']; ?>"/>
          <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarKilosAAlmacen" class="CIPiconoBorrar"/></div></td>
        <td align="left"><p class="sinMargen" style="margin-left:15px">Cantidad a almacén:</p></td>
        <td align="left"><div class="CIPcampoBloque"><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoCalculadora" id="tecladoCantidadAAlmacen" />
                <input name="CantidadAAlmacen" type="text" class="campo cantidad CIPcampo pequeno calculadoraAutomatica" id="CantidadAAlmacen" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['CantidadAAlmacen']; ?>"/>
                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarCantidadAAlmacen" class="CIPiconoBorrar"/></div></td>
      </tr>
      <tr>
        <td align="left"><p class="sinMargen">Formato</p></td>
        <td colspan="3" align="left"><div class="CIPcampoBloque">
            <select name="UnidMedida" id="UnidMedida" class="campo CIPcampo">
              <option value="">---</option>
              <?php foreach( arreglaArrayPXMobileProxiumResult($_SESSION['maestrosCIP']['FormatosLogistica']) as $item ) { ?>
              <?php if($item['Activo']=='S') { ?>
              <option value="<?php echo $item['Formato']; ?>" <?php if($_SESSION['parteCIP']['UnidMedida']==$item['Formato']) { ?>selected<?php } ?>><?php echo $item['Formato']; ?></option>
              <?php } ?>
              <?php } ?>
            </select>
        </div></td>
      </tr>
      <tr>
        <td align="left" valign="top"><p class="sinMargen">Observaciones:</p></td>
        <td colspan="3" align="left"><textarea name="Observaciones" id="Observaciones" style="width:690px;margin-left:80px;height:100px" class="campo CIPcampo"><?php echo $_SESSION['parteCIP']['Observaciones']; ?></textarea></td>
        </tr>
    </table>
    
    </td></tr>
	
</table>

<div id="capaOperaciones"></div>

<input name="envioFormulario" id="envioFormulario" type="hidden" value="0"/>
<input name="firmarParte" id="firmarParte" type="hidden" value="0"/>

<?php if($_SESSION['parteCIP']['NumParte']) { ?>

	<?php if(!$_SESSION['parteCIP']['Firmado']) { ?>

    <p><a href="inspeccion-portuaria-parte-fotos.php"><img src="img_nx/botones/camera.png" alt="Fotografías" border="0" class="icono ampliado mostrarCargando botonFotos"/></a></p>
    
    <p><input type="button" name="botonEnviar" id="botonEnviar" class="boton" value="Guardar parte" /></p>
    
    <?php } else { ?>
    
    <br />
    
    <?php } ?>
    
    <table border="0" cellspacing="0" cellpadding="1" style="margin:0 auto">
      <tr>
        <td align="left"><p class="sinMargen">Nombre del firmante:</p></td>
        <td><div class="CIPcampoBloque"> <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoTeclado" id="tecladoFirmanteNombre" />
                <input name="FirmanteNombre" type="text" class="campo CIPcampo enorme tecladoAutomatico" id="FirmanteNombre" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['FirmanteNombre']; ?>"/>
                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarFirmanteNombre" class="CIPiconoBorrar"/> </div></td>
        </tr>
      </tr>
      <tr>
        <td align="left"><p class="sinMargen">DNI del firmante:</p></td>
        <td><div class="CIPcampoBloque"> <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoTeclado" id="tecladoFirmanteDNI" />
                <input name="FirmanteDNI" type="text" class="campo CIPcampo medio tecladoAutomatico" id="FirmanteDNI" autocomplete="off" value="<?php echo $_SESSION['parteCIP']['FirmanteDNI']; ?>"/>
                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarFirmanteDNI" class="CIPiconoBorrar"/> </div></td>
        </tr>
      </tr>
    </table>
    
    <!-- para controlar a posteriori de la carga, si por los popups se firma, se los métodos javascript de lanzar otros popups y selets no se ejecuten -->
    <input type="hidden" name="bloqueado" id="bloqueado" value="" />
    
    <p><input type="button" name="botonFirmar" id="botonFirmar" class="boton" value="<?php if($_SESSION['parteCIP']['Firmado']) { ?>VER PARTE FIRMADO<?php } else { ?>FIRMAR PARTE<?php } ?>" /></p>
    
    <?php if($_SESSION['parteCIP']['Firmado']) { ?>
    
    <!--<p><input type="checkbox" name="enviarEmail" id="enviarEmail" class="checkGrande" /> Enviar el parte por email</p>-->
    
    <?php } ?>

<?php } else { ?>

	<p><input type="button" name="botonEnviar" id="botonEnviar" class="boton" value="CREAR PARTE" /></p>

<?php } ?>

<p><input type="button" name="botonCancelar" id="botonCancelar" class="boton reducido" value="<?php if($_SESSION['parteCIP']['NumParte']) { ?>Volver<?php } else { ?>Cancelar<?php } ?>" /></p>

</form>

<script>

var FechaCreacion=$('#FechaCreacion').val(); //Controlamos el cambio del campo FechaCreacion, porque el selector hace que siempre cambie, aunque sea el mismo

function muestraDescargasServicios() {
	
	$('#popupCargando').show();

	$.post( "<?php echo $rutaHtml; ?>/contenidos/inspeccion-portuaria-parte-descargas-y-servicios.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" , { 'cliente' : $('#Cliente').val() , 'fecha' : $('#FechaCreacion').val() , 'tarifa' : $('#Tarifa').val() } )
	.done(function(data){
	
		$('#capaOperaciones').html(data);
		
		//La tarifa se ha grabado en sesión en la llamada anterior
		$.post( "<?php echo $rutaHtml; ?>/contenidos/inspeccion-portuaria-parte-carga-tarifa.php" )
		.done(function(data){
		
			$('#Tarifa').val(data);
			$('#popupCargando').hide();
				
		});
		
	});

}

function validaProductos() {

	/*
	var error=false;
	var mensaje;
	
	$('.campoProducto').each(function(){
	
		var contador=$(this).attr('contador');
		
		if( $(this).val()!='' &&  $('#productoCantidad-'+contador).val()=='' ) {
			error=true;
			mensaje='Hay Productos informados sin indicar cantidad.';
		}
	
	});
	
	if(error) {
		alert('Error: '+mensaje,null,'error');
		return false;
	}
	else return true;
	*/
	
	return true;

}

function validaDescargasServicios() {

	var error=false;
	var mensaje;
	
	$('.checkDescarga').each(function(){
	
		var codigo=$(this).attr('codigo');
		
		if( $(this).is(':checked') &&  $('#operacion-Descargas-cantidad-'+codigo).val()=='' ) {
			error=true;
			mensaje='Hay Descargas marcadas sin indicar cantidad.';
		}
	
	});
	
	$('.checkServicio').each(function(){
	
		var codigo=$(this).attr('codigo');
		if( $(this).is(':checked') && $('#operacion-Servicios-cantidad-'+codigo).val()=='' ) {
			error=true;
			mensaje='Hay Servicios marcados sin indicar cantidad.';
		}
	
	});
	
	if(error) {
		alert('Error: '+mensaje,null,'error');
		var posicion = $('#capaOperaciones').offset().top;
		$('html,body').animate({ scrollTop: posicion }, 500);
		return false;
	}
	else return true;

}



//// FILTROS TABLA

function repintarTabla(claseLinea,completa) {
	
	if(completa) $(claseLinea).show();
	
	$(claseLinea).children('td').css('background-color','#ffffff');
	$(claseLinea).children('td').css('border-bottom','');
	$(claseLinea).children('td').css('border-radius','');
	$(claseLinea).children('td').css('-mozborder-radius','');
	$(claseLinea).children('td').css('-webkit-border-radius','');
	
	var par=true;
	var ultimaFila; 
	
	$(claseLinea).each(function(){
		//console.log('par :'+par);
		//console.log( 'valor: '+$(this).attr('descripcion') );
		//console.log( 'visible: '+$(this).is(':visible')  );
		if( $(this).is(':visible') || completa ) {
			if(par) $(this).children('td').css('background-color','#ffffff');
			else $(this).children('td').css('background-color','#eeeeee');
			par = !par;
			ultimaFila=$(this);
		}
	});
	
	if (ultimaFila) {
		ultimaFila.children('td').css('border-bottom','1px solid #999999');
		ultimaFila.children('td:first').css('border-radius','0 0 15px 15px');
		ultimaFila.children('td:first').css('-mozborder-radius','0 0 15px 15px');
		ultimaFila.children('td:first').css('-webkit-border-radius','0 0 15px 15px');
	}
}



//METODOS POPUP CLIENTES

function abrirPopUpClientes(valor,valorNombre){
	
	$('#popupClientesCampoOrigen').val(valor);
	$('#popupClientesCampoDestino').val(valorNombre);
	
	$('#buscarCliente').val('');
	repintarTabla('.selectorCliente',true);
	
	$('#popupClientes').show();
	$('#popupClientesContenido').show();
	
	$('#buscarCliente').focus();
	
	var posicion = $('#popupClientes').offset().top;
	$('html,body').animate({scrollTop:posicion-100});

}

function cerrarPopUpClientes(){

	$('#popupClientes').hide();
	$('#popupClientesContenido').hide();
	
	var posicion = $('#'+$('#popupClientesCampoDestino').val()).offset().top;
	$('html,body').animate({scrollTop:posicion-100});
}

function bloqueaParte(){

	$('.campo').addClass('deshabilitado');
	$('.campo').prop('readonly',true);
	
	$('.CIPiconoTeclado').hide();
	$('.CIPiconoCalculadora').hide();
	$('.CIPiconoReloj').hide();
	$('.CIPiconoBorrar').hide();
	$('.productoBorrar').hide();
	
	$('.checkGrande').on('click',function(){
		return false;
	});
	
	$('select').prop('disabled',true);
	
	$('.botonFotos').hide();
	$('#botonMasProductos').hide();
	$('#botonEnviar').hide();
	
	$('#bloqueado').val(1);
	
}


$(document).ready(function() {

	<?php if(!$_SESSION['parteCIP']['Firmado']) { ?>
	
	

	//GESTION PRODUCTOS
	$('#botonMasProductos').on('click',function(){
	
		var ultimaLinea=$('#contadorProductos').val();
		var nuevaLinea=parseInt(ultimaLinea)+1;
		
		var contenido='<input name="producto-'+nuevaLinea+'" type="text" class="campo CIPcampo enorme tecladoAutomatico campoProducto" id="producto-'+nuevaLinea+'" autocomplete="off" value="" style="margin:10px 0 0 10px" contador="'+nuevaLinea+'"/> <select name="productoOrganismoMuestra-'+nuevaLinea+'" class="campo CIPcampo campoProductoOrganismoMuestra" id="productoOrganismoMuestra-'+nuevaLinea+'" style="margin:10px 10px 0 10px" contador="'+nuevaLinea+'"/></select> <input name="productoCantidad-'+nuevaLinea+'" type="text" class="campo cantidad CIPcampo mini calculadoraAutomatica" id="productoCantidad-'+nuevaLinea+'" autocomplete="off" value="" /><img src="img_nx/x-ajustado.png" width="18" height="18" style="margin:0 10px 0 15px" id="productoBorrar-'+nuevaLinea+'" class="productoBorrar clicable" contador="'+nuevaLinea+'"/><div id="nuevoProducto-'+nuevaLinea+'"></div>';
		
		$('#nuevoProducto-'+ultimaLinea).html( contenido );
		
		//Rellenar el select a partir de otro
		var contenidoSelectOrganismoMuestra=$('#productoOrganismoMuestra-1').html();
		$('#productoOrganismoMuestra-'+nuevaLinea).html( contenidoSelectOrganismoMuestra );
		$('#productoOrganismoMuestra-'+nuevaLinea).val('');
		
		$('#contadorProductos').val( nuevaLinea );
	
	});
	
	$(document).on('click','.productoBorrar',function(){
	
		var linea=$(this).attr('contador');
		
		$('#producto-'+linea).val('');
		$('#productoOrganismoMuestra-'+linea).val('');
		$('#productoCantidad-'+linea).val('');
		
		$('#producto-'+linea).hide();
		$('#productoOrganismoMuestra-'+linea).hide();
		$('#productoCantidad-'+linea).hide();
		$('#productoBorrar-'+linea).hide();
	
	});

	
	$('#FechaCreacion').on('click',function(e){
	
		if( !$('#bloqueado').val() ) {
	
			$('#calendario').show();
			$('#valorCalendario').val( $(this).val() );
			deconstruyeFecha();
			$('#enterCalendario').attr('campoValor', 'FechaCreacion' );
			$('#enterCalendario').attr('forzarEnter','no');
			
		}
		
	});

	
	$('#ClienteNombre').on('click',function(e){
		if( !$('#bloqueado').val() ) abrirPopUpClientes('Cliente','ClienteNombre');
	});
	
	$('#AgenteAduanasNombre').on('click',function(e){
		if( !$('#bloqueado').val() ) abrirPopUpClientes('AgenteAduanas','AgenteAduanasNombre');
	});
	
	$('#Cliente').on('change',function(e){
		if( !$('#bloqueado').val() ) {
			$('#ClienteTelefonoEmail').val( contactosClientes[ $(this).val() ] );
			muestraDescargasServicios(); //DESCARGAS Y SERVICIOS CUANDO CAMBIA FECHA O CLIENTE
		}
	});
	
	$('#AgenteAduanas').on('change',function(e){
		if( !$('#bloqueado').val() ) $('#AgenteAduanasTelefonoEmail').val( contactosClientes[ $(this).val() ] );
	});
	
	$('#FechaCreacion').on('change',function(e){
		
		if($(this).val()!=FechaCreacion) { //Controlamos el cambio con una variable global definida fuera, porque el selector hace que siempre cambie
			FechaCreacion=$(this).val();
			muestraDescargasServicios(); //DESCARGAS Y SERVICIOS CUANDO CAMBIA FECHA O CLIENTE
		}
	});
	
	$('.checkMuestras').on('click',function(){
		if( !$('#bloqueado').val() ) {
			var codigoInspeccion=$(this).attr('codigoInspeccion');
			var seleccionado=$(this).is(':checked');
			organismosMuestras[codigoInspeccion][1]=seleccionado;
		}
		else return false;
	});
	
	
	//////////// POPUP CLIENTES ////////////////
	
	$('.selectorCliente').on('click',function(e){
		
		if( !$('#bloqueado').val() ) {
	
			var codigo=$(this).attr('codigo');
			var descripcion=$(this).attr('descripcion');
			var PuntoInspeccion=$(this).attr('PuntoInspeccion');
			
			$('#'+$('#popupClientesCampoOrigen').val()).val( codigo );
			$('#'+$('#popupClientesCampoDestino').val()).val( descripcion );
			
			if( $('#popupClientesCampoOrigen').val()=='Cliente' && PuntoInspeccion!='' ) $('#PuntoInspeccion').val( PuntoInspeccion );
			
			cerrarPopUpClientes();
			
			//7-6-2021 añadimos esto porque el trigger change no se activa y no se cargan los servicios cuando se cambia el cliente
			if($('#popupClientesCampoOrigen').val()=='Cliente') {
				$('#Tarifa').val('');
				muestraDescargasServicios();
			}
			
			$('#'+$('#popupClientesCampoOrigen').val()).trigger('change');
			
		}
		
	});
	
	$('#buscarCliente').on('click',function(e){
	
		if( !$('#bloqueado').val() ) {
	
			$('#teclado').show();
			$('#valor').val( $(this).val() );
			$('#valorOculto').val( $(this).val() );
			$('#enter').attr('campoValor','buscarCliente');
			$('#enter').attr('forzarEnter','si');
			
		}
		
	});
	
	$('#buscarCliente').on('change',function(e){
	
		if( !$('#bloqueado').val() ) {
	
			var busqueda=$(this).val().toUpperCase();
		
			$('.selectorCliente').each(function(){
				var valor=$(this).attr('Descripcion').toUpperCase();
				if( valor.indexOf( busqueda )==-1) $(this).hide();
				else $(this).show();
			});
			
			repintarTabla('.selectorCliente');
			
		}
		
	});
	
	$('#popupClientesBotonCerrar').on('click',function(e){
		cerrarPopUpClientes();
	});
	

	
	<?php } //Fin métodos de control campos si no está firmado el parte ?>
	
	//Carga inicial
	<?php if($_SESSION['parteCIP']['FechaCreacion'] && $_SESSION['parteCIP']['Cliente']) { ?>
	muestraDescargasServicios();
	<?php } else { ?>
	$('#popupCargando').hide();
	<?php } ?>

	//Métodos comunes para todos los campos de pantalla
	
	<?php if(!$_SESSION['parteCIP']['Firmado']) { ?>
	
	$(document).on('click','.CIPiconoTeclado',function(){
		
		var campo=$(this).siblings('input');
		
		$('#teclado').show();
		$('#valor').val( campo.val() );
		$('#valorOculto').val( campo.val() );
		$('#enter').attr('campoValor', campo.attr('id') );
		$('#enter').attr('forzarEnter','no');
		
	});
	
	$(document).on('click','#Observaciones',function(){
		
		if( !$('#bloqueado').val() ) {
		
			var idCampo=$(this).attr('id');
			
			$('#tecladoMultilinea').show();
			$('#valorTecladoMultilinea').val( $(this).val() );
			$('#enterTecladoMultilinea').attr('campoValor', idCampo );
			$('#enterTecladoMultilinea').attr('forzarEnter','no');
		
		}
		
	});
	
	$(document).on('click','.tecladoAutomatico',function(){
		
		if( !$('#bloqueado').val() ) {
		
			var idCampo=$(this).attr('id');
			
			$('#teclado').show();
			$('#valor').val( $(this).val() );
			$('#valorOculto').val( $(this).val() );
			$('#enter').attr('campoValor', idCampo );
			$('#enter').attr('forzarEnter','no');
			
		}
		
	});
	
	$(document).on('click','.CIPiconoCalculadora',function(){
	
		if( !$('#bloqueado').val() ) {
		
			var campo=$(this).siblings('input');
			
			$('#calculadora').show();
			$('#valorCalculadora').val( campo.val() );
			$('#enterCalculadora').attr('campoValor', campo.attr('id') );
			$('#enterCalculadora').attr('forzarEnter','si');
			
		}
		
	});
	
	$(document).on('click','.calculadoraAutomatica',function(){
		
		if( !$('#bloqueado').val() ) {
		
			var idCampo=$(this).attr('id');
			
			$('#calculadora').show();
			$('#valorCalculadora').val( $(this).val() );
			$('#enterCalculadora').attr('campoValor', idCampo );
			$('#enterCalculadora').attr('forzarEnter','si');
			
		}
		
	});
	
	$(document).on('click','.CIPiconoReloj',function(){
	
		if( !$('#bloqueado').val() ) {
		
			var campo=$(this).siblings('input');
			
			$('#reloj').show();
			$('#valorReloj').val( campo.val() );
			$('#enterReloj').attr('campoValor', campo.attr('id') );
		
		}
		
	});
	
	$(document).on('click','.relojAutomatico',function(){
		
		if( !$('#bloqueado').val() ) {
		
			var idCampo=$(this).attr('id');
			
			reiniciaHora();
			$('#reloj').show();
			$('#enterReloj').attr('campoValor', idCampo );
			
		}
		
	});
	
	$(document).on('click','.CIPiconoBorrar',function(){
		
		if( !$('#bloqueado').val() ) {
		
			var campo=$(this).siblings('input');
			
			campo.val('');
			campo.focus();
			
		}
		
	});
	
	<?php } ?>

	//FIRMA
	
	$('#botonFirmar').on('click',function(){
	
		if( validaDatos() ) {
		
			if( $('#FirmanteNombre').val()=='') {
				alert('Es obligatorio indicar el nombre de la persona firmante.',$('#FirmanteNombre'),'error');
			}
			else if( $('#FirmanteDNI').val()=='') {
				alert('Es obligatorio indicar el DNI de la persona firmante.',$('#FirmanteDNI'),'error');
			}
			else {
				
				<?php if(!$_SESSION['parteCIP']['Firmado']) { ?>
				$('#envioFormulario').val(1);
				<?php } ?>
				
				$('#firmarParte').val(1);
				
				$('#popupCargando').show();
				$('#formularioCIP').submit();
				
			}
			
		}
	
	});

	//ENVIO DEL FORMULARIO
	
	$('#botonEnviar').on('click',function(){
	
		if( validaDatos() ) {
		
			$('#envioFormulario').val(1);
			
			$('#popupCargando').show();
			$('#formularioCIP').submit();
			
		}
	
	});
	
	function validaDatos(){
		
		var haySelectorInspeccion=false;
		$('.selectorInspeccion').each(function(){
			if( $(this).is(':checked') ) haySelectorInspeccion=true;
		});
		
		if( $('#PuntoInspeccion').val()=='') {
			alert('Es obligatorio indicar el Punto de inspección.',$('#PuntoInspeccion'),'error');
			return false;
		}
		else if( $('#Cliente').val()=='') {
			alert('Es obligatorio especificar el Cliente.',$('#Cliente'),'error');
			return false;
		}
		else if( $('#AgenteAduanas').val()=='') {
			alert('Es obligatorio indicar un Agente de Aduanas.',$('#AgenteAduanas'),'error');
			return false;
		}
		//else if( $('#TipoMercancia').val()=='') {
		//	alert('Es obligatorio especificar el tipo de mercancía.',$('#TipoMercancia'),'error');
		//}
		else if( $('#ContenMatri').val()=='') {
			alert('Es obligatorio indicar la Matrícula del Contenedor.',$('#ContenMatri'),'error');
			return false;
		}
		else if( $('#PrecintoOrigen').val()=='') {
			alert('Es obligatorio indicar el Precinto origen.',$('#PrecintoOrigen'),'error');
			return false;
		}
		else if( !haySelectorInspeccion ) {
			alert('Indica al menos un Tipo de Inspección.',null,'error')
			.done(function(){
				var posicion = $('#tablaInspecciones').offset().top;
				$('html,body').animate({ scrollTop: posicion }, 500); 
			});
			return false;
		}
		else if( $('#ControladaPor').val()=='') {
			alert('Es obligatorio especificar quien Controla la Inspección.',$('#ControladaPor'),'error');
			return false;
		}
		else if( $('#Muelle').val()=='') {
			alert('Es obligatorio especificar el muelle.',$('#Muelle'),'error');
			return false;
		}
		//else if( $('#RealizadaPor').val()=='') {
		//	alert('Es obligatorio especificar quien Realiza la Inspección.',$('#RealizadaPor'),'error');
		//}
		//else if( $('#HoraInicio').val()=='') {
		//	alert('Por favor, indica la hora de inicio de la Inspección.',$('#HoraInicio'),'error');
		//}
		//else if( $('#HoraFin').val()=='') {
		//	alert('Por favor, indica la hora de fin de la Inspección.',$('#HoraFin'),'error');
		//}
		else if( $('#PrecintoFinal').val()=='') {
			alert('Es obligatorio indicar el Precinto final.',$('#PrecintoFinal'),'error');
			return false;
		}
		else if( $('#Tarifa').val()=='' || ( $('#Tarifa').val()!='' && validaDescargasServicios() ) ) {
			
			return true;
			
		}
		else return false;
		
	} //Fin function validaDatos
	
	$('#botonCancelar').on("click",function(e) {
	
		//BOTON CANCELAR PRINCIPAL
		
		$('#popupCargando').show();
		
		<?php if($RutaTemporalSubidaDocumentos_Completa) { ?>
		
		$.post('<?php echo $rutaHtml; ?>/contenidos/firmas-borrar-directorio-y-temporales.php' , { 'RutaTemporalSubidaDocumentos_Completa' : '<?php echo $RutaTemporalSubidaDocumentos_Completa; ?>' } )
		.done(function(data) {
			
			window.location='inspeccion-portuaria-partes.php';	
			
		});
		
		<?php } else { ?>
		
		window.location='inspeccion-portuaria-partes.php';
		
		<?php } ?>
		
		
	});
	
	$('#enviarEmail').on('click',function(){
		if($(this).is(':checked')) $('#botonEnviar').val('GUARDAR Y ENVIAR PARTE');
		else $('#botonEnviar').val('GUARDAR PARTE');
	});
	
	<?php if($_SESSION['parteCIP']['Firmado']) { ?>
	
	bloqueaParte();
	
	<?php } ?>
	
	<?php if( ( $_POST['envioFormulario'] || $_SESSION['parteCIP']['Firmado'] ) && !$_POST['firmarParte'] ) { ?>
	var posicion = $('#botonCancelar').offset().top;
	$('html,body').animate({ scrollTop: posicion }, 2000);
	return false;
	<?php } ?>

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
